<div class="switch-btn {if $one_module.status eq "0"}switch-on{/if}" data-id="#face_module-1" id="face__switch-btn"><div></div></div>
<input type="checkbox" hidden="hidden" name="face_module_status" id="face_module_status" value="{if $one_module.status eq "0"}1{else}0{/if}"/>
<script>
    $(function () {
        var faceCheckStatus = $('#face_module_status');
        var faceModuleLink = $('#module__face');
        $('#face__switch-btn').click(function () {
            var $this = $(this);
            if ($this.hasClass('switch-on')) {
                jconfirm('{$lang.disabled_module_alert}', function () {
                    $this.toggleClass('switch-on');
                    $this.trigger('off.switch');

                });
            } else {
                $this.toggleClass('switch-on');
                $this.trigger('on.switch');
            }
        });
        $('#face__switch-btn').on('on.switch', function () {
            // Посылаем запрос на включение модуля
            $.ajax({
                url: '{$config.site_url}/edit_modules.php?module=face',
                type: 'post',
                data: `csrf={$csrf}&action=save`,
                beforeSend: function() {
                    makePreloader();
                },
                success: function (resp) {
                    destroyPreloader();
                    faceCheckStatus.val('1');
                    faceModuleLink.removeClass('disabled');
                    location.href = faceModuleLink.attr('href');
                }
            });
        });
        $('#face__switch-btn').on('off.switch', function () {
            // Посылаем запрос на выключение модуля
            $.ajax({
                url: '{$config.site_url}/edit_modules.php?module=face',
                type: 'post',
                data: 'action=save&csrf={$csrf}',
                beforeSend: function() {
                    makePreloader();
                },
                success: function (resp) {
                    destroyPreloader();
                    faceCheckStatus.val('0');
                    faceModuleLink.addClass('disabled');
                }
            });
        });
    });
</script>